# Gets the current node status.

GET

/v2/status

## Authorizations

- **[api\_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Responses

### 200

Select media type application/json

NodeStatus contains the information about a node status

object

**catchpoint**  
The current catchpoint that is being caught up to  
string

**catchpoint-acquired-blocks**  
The number of blocks that have already been obtained by the node as part of the catchup  
integer

**catchpoint-processed-accounts**  
The number of accounts from the current catchpoint that have been processed so far as part of the catchup  
integer

**catchpoint-processed-kvs**  
The number of key-values (KVs) from the current catchpoint that have been processed so far as part of the catchup  
integer

**catchpoint-total-accounts**  
The total number of accounts included in the current catchpoint  
integer

**catchpoint-total-blocks**  
The total number of blocks that are required to complete the current catchpoint catchup  
integer

**catchpoint-total-kvs**  
The total number of key-values (KVs) included in the current catchpoint  
integer

**catchpoint-verified-accounts**  
The number of accounts from the current catchpoint that have been verified so far as part of the catchup  
integer

**catchpoint-verified-kvs**  
The number of key-values (KVs) from the current catchpoint that have been verified so far as part of the catchup  
integer

**catchup-time** **required**  
CatchupTime in nanoseconds  
integer

**last-catchpoint**  
The last catchpoint seen by the node  
string

**last-round** **required**  
LastRound indicates the last round seen  
integer

**last-version** **required**  
LastVersion indicates the last consensus version supported  
string

**next-version** **required**  
NextVersion of consensus protocol to use  
string

**next-version-round** **required**  
NextVersionRound is the round at which the next consensus version will apply  
integer

**next-version-supported** **required**  
NextVersionSupported indicates whether the next consensus version is supported by this node  
boolean

**stopped-at-unsupported-round** **required**  
StoppedAtUnsupportedRound indicates that the node does not support the new rounds and has stopped making progress  
boolean

**time-since-last-round** **required**  
TimeSinceLastRound in nanoseconds  
integer

**upgrade-delay**  
Upgrade delay  
integer

**upgrade-next-protocol-vote-before**  
Next protocol round  
integer

**upgrade-no-votes**  
No votes cast for consensus upgrade  
integer

**upgrade-node-vote**  
This node’s upgrade vote  
boolean

**upgrade-vote-rounds**  
Total voting rounds for current upgrade  
integer

**upgrade-votes**  
Total votes cast for consensus upgrade  
integer

**upgrade-votes-required**  
Yes votes required for consensus upgrade  
integer

**upgrade-yes-votes**  
Yes votes cast for consensus upgrade  
integer

### 401

Invalid API Token

Select media type application/json

An error response with optional data field.

object

**data**  
object

**message** **required**  
string

### 500

Internal Error

Select media type application/json

string

### default

Unknown Error
